This section contains a collection of quick start guides for integrating various software and tools
with VictoriaMetrics Cloud. The guides are organized by integration type to help you quickly find
what you need.

In the [VictoriaMetrics Cloud Console](https://console.victoriametrics.cloud/integrations), you can
explore interactive integration guides tailored to your actual deployments. These guides provide
personalized assistance, including pre-filled configuration snippets, relevant URLs, and secure
access tokens.

> [!NOTE] Tip
> Generally, all integrations in VictoriaMetrics Cloud just require a URL and an
> [Access Token](https://docs.victoriametrics.com/victoriametrics-cloud/deployments/access-tokens/) to work.

In this section, the same principle is applied so, in each integration, interactive guides and
examples are provided for example deployments. Don't forget that you can always find interactive
integration guides in [VictoriaMetrics Cloud Console](https://cloud.victoriametrics.com/integrations/),
which generate steps and configurations specifically for your real cloud deployments.

If there's an integration you'd like to see here but it's currently missing, feel free to [contact us](mailto:support-cloud@victoriametrics.com).

## Ingestion

- [CloudWatch - Agentless AWS monitoring](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/cloudwatch/)
- [CURL](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/curl/)
- [Kubernetes](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/kubernetes/)
- [OpenTelemetry](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/opentelemetry/)
- [Prometheus (remote write)](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/prometheus/)
- [Telegraf](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/telegraf/)
- [Vector](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/vector/)
- [VMAgent](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/vmagent/)

## Data Visualization

- [CURL](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/curl/)
- [Grafana](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/grafana/)
- [Perses](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/perses/)

## Notifications

- [Cloud Alertmanager](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/cloud-alertmanager/)
- [Custom Alertmanager](https://docs.victoriametrics.com/victoriametrics-cloud/integrations/custom-alertmanager/)
